Subject: Re: Flat device tree definitions for FLASH and MTD partitioning

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 25 Apr 2007 14:55:45 +0200

Sergei Shtylyov wrote:
> Hello, I wrote:
> 
>>> are there already some thought or even example code on how to define 
>>> Flash memory and MTD partitions in the DTS. This would avoid the 
>>> ackward MTD partitioning via static structure or boot line argument 
>>> and could be done in a generic way.
> 
>>     See Documentation/powerpc/booting-without-of.txt and 
>> drivers/mtd/physmap_of.c for what's been already done.
> 
>    I meant drivers/mtd/maps/physmap_of.c

I had a closer look to this driver. Unfortunately, it can not handle yet 
  multiple FLASH banks. This could be achieved with an additional 
property "bank_count". What do you think?

Wolfgang.